---
document: modulemd
version: 2
data:
  name: container-tools
  stream: "rhel8"
  version: 8100020250708083212
  context: 20125149
  arch: x86_64
  summary: Most recent (rolling) versions of podman, buildah, skopeo, runc, conmon,
    runc, conmon, CRIU, Udica, etc as well as dependencies such as container-selinux
    built and tested together, and updated as frequently as every 12 weeks.
  description: >-
    Latest versions of podman, buildah, skopeo, runc, conmon, CRIU, Udica, etc as
    well as dependencies such as container-selinux built and tested together, and
    updated as frequently as every 12 weeks. Only very limited back ports are provided
    to this stream, and most patches come from providing new versions.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      go-toolset: [rhel8]
      golang-ecosystem: [1.0]
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: https://github.com/projectatomic
    documentation: https://projectatomic.io
    tracker: https://github.com/projectatomic
  profiles:
    common:
      rpms:
      - aardvark-dns
      - buildah
      - cockpit-podman
      - conmon
      - container-selinux
      - containernetworking-plugins
      - containers-common
      - criu
      - crun
      - fuse-overlayfs
      - libslirp
      - netavark
      - podman
      - python3-podman
      - runc
      - skopeo
      - slirp4netns
      - toolbox
      - udica
  api:
    rpms:
    - buildah
    - conmon
    - container-selinux
    - containernetworking-plugins
    - containers-common
    - fuse-overlayfs
    - libslirp
    - podman
    - podman-docker
    - podman-manpages
    - podman-remote
    - python3-podman
    - runc
    - skopeo
    - slirp4netns
  buildopts:
    rpms:
      macros: >
        %_with_ignore_tests 1
  components:
    rpms:
      aardvark-dns:
        rationale: Primary component of this module
        ref: 3e28c61a5e120d51b670896a521df2ae254974d8
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      buildah:
        rationale: Primary component of this module
        ref: ab1953e81ce501889619073be0a78b4cc8b3678a
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      cockpit-podman:
        rationale: Primary component of this module
        ref: a2ccc563ca270dd25542cd8ab8392cdf590ca3e4
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      conmon:
        rationale: Primary component of this module
        ref: ac7439b19b50ae6448764c6f13932e958d436990
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      container-selinux:
        rationale: Primary component of this module
        ref: 8ae7de94f021069396de6e5e18ab23f238d3f3cd
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      containernetworking-plugins:
        rationale: Primary component of this module
        ref: 7658e8215cb0b90108f4d1ccd77acf43deb2eebc
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      containers-common:
        rationale: Primary component of this module
        ref: 6763fc7e87d30995fb02433e2539bbc9051c98d0
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      criu:
        rationale: Primary component of this module
        ref: c7f635ccff89da9188aa81aab1e89a702768ea39
        buildorder: -1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      crun:
        rationale: Primary component of this module
        ref: 57c062c9eeb301d83d5b02f9ed389770aa391f9a
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      fuse-overlayfs:
        rationale: Primary component of this module
        ref: 860db74eeab1feaaf0fae6c1ee2e5da84437d1c2
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      libslirp:
        rationale: Primary component of this module
        ref: 4a330d93f2d0b31201e445773079089c7818a9c4
        buildorder: -1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      netavark:
        rationale: Primary component of this module
        ref: d9319a4e91f2f7470d9024b85638e15395ef09e9
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      oci-seccomp-bpf-hook:
        rationale: Primary component of this module
        ref: 5b23259edb6d0100f1877d8fcd3fd29a755f068e
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      podman:
        rationale: Primary component of this module
        ref: 499af8484db9a5f4428acfcd031fda8021c27277
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      python-podman:
        rationale: Primary component of this module
        ref: 3ca86e68595c3e003109824c56c0c98c4559d59a
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      runc:
        rationale: Primary component of this module
        ref: 984afe0af6a3f729a2ab6d85cd49186689a45f3b
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      skopeo:
        rationale: Primary component of this module
        ref: ad69cf1e0c18db140342e7dce77c1b34e2c82666
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      slirp4netns:
        rationale: Primary component of this module
        ref: 6dbe3c6bc2232a94f0eff7d9f73493eb84815b1e
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      toolbox:
        rationale: Primary component of this module
        ref: 05efc0edc1c21eff625bfe3b916ed02f9d3381c1
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      udica:
        rationale: Primary component of this module
        ref: 26fe2f394b63c34dfd8e07950cdd71b027169c53
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - aardvark-dns-2:1.10.1-2.module_el8.10.0+4023+db236c53.src
    - aardvark-dns-2:1.10.1-2.module_el8.10.0+4023+db236c53.x86_64
    - buildah-2:1.33.12-2.module_el8.10.0+4023+db236c53.src
    - buildah-2:1.33.12-2.module_el8.10.0+4023+db236c53.x86_64
    - buildah-debuginfo-2:1.33.12-2.module_el8.10.0+4023+db236c53.x86_64
    - buildah-debugsource-2:1.33.12-2.module_el8.10.0+4023+db236c53.x86_64
    - buildah-tests-2:1.33.12-2.module_el8.10.0+4023+db236c53.x86_64
    - buildah-tests-debuginfo-2:1.33.12-2.module_el8.10.0+4023+db236c53.x86_64
    - cockpit-podman-0:84.1-1.module_el8.10.0+4023+db236c53.noarch
    - cockpit-podman-0:84.1-1.module_el8.10.0+4023+db236c53.src
    - conmon-3:2.1.10-1.module_el8.10.0+4023+db236c53.src
    - conmon-3:2.1.10-1.module_el8.10.0+4023+db236c53.x86_64
    - conmon-debuginfo-3:2.1.10-1.module_el8.10.0+4023+db236c53.x86_64
    - conmon-debugsource-3:2.1.10-1.module_el8.10.0+4023+db236c53.x86_64
    - container-selinux-2:2.229.0-2.module_el8.10.0+4023+db236c53.noarch
    - container-selinux-2:2.229.0-2.module_el8.10.0+4023+db236c53.src
    - containernetworking-plugins-1:1.4.0-6.module_el8.10.0+4023+db236c53.src
    - containernetworking-plugins-1:1.4.0-6.module_el8.10.0+4023+db236c53.x86_64
    - containernetworking-plugins-debuginfo-1:1.4.0-6.module_el8.10.0+4023+db236c53.x86_64
    - containernetworking-plugins-debugsource-1:1.4.0-6.module_el8.10.0+4023+db236c53.x86_64
    - containers-common-2:1-82.module_el8.10.0+4023+db236c53.src
    - containers-common-2:1-82.module_el8.10.0+4023+db236c53.x86_64
    - crit-0:3.18-5.module_el8.10.0+4023+db236c53.x86_64
    - criu-0:3.18-5.module_el8.10.0+4023+db236c53.src
    - criu-0:3.18-5.module_el8.10.0+4023+db236c53.x86_64
    - criu-debuginfo-0:3.18-5.module_el8.10.0+4023+db236c53.x86_64
    - criu-debugsource-0:3.18-5.module_el8.10.0+4023+db236c53.x86_64
    - criu-devel-0:3.18-5.module_el8.10.0+4023+db236c53.x86_64
    - criu-libs-0:3.18-5.module_el8.10.0+4023+db236c53.x86_64
    - criu-libs-debuginfo-0:3.18-5.module_el8.10.0+4023+db236c53.x86_64
    - crun-0:1.14.3-2.module_el8.10.0+4023+db236c53.src
    - crun-0:1.14.3-2.module_el8.10.0+4023+db236c53.x86_64
    - crun-debuginfo-0:1.14.3-2.module_el8.10.0+4023+db236c53.x86_64
    - crun-debugsource-0:1.14.3-2.module_el8.10.0+4023+db236c53.x86_64
    - fuse-overlayfs-0:1.13-1.module_el8.10.0+4023+db236c53.src
    - fuse-overlayfs-0:1.13-1.module_el8.10.0+4023+db236c53.x86_64
    - fuse-overlayfs-debuginfo-0:1.13-1.module_el8.10.0+4023+db236c53.x86_64
    - fuse-overlayfs-debugsource-0:1.13-1.module_el8.10.0+4023+db236c53.x86_64
    - libslirp-0:4.4.0-2.module_el8.10.0+4023+db236c53.src
    - libslirp-0:4.4.0-2.module_el8.10.0+4023+db236c53.x86_64
    - libslirp-debuginfo-0:4.4.0-2.module_el8.10.0+4023+db236c53.x86_64
    - libslirp-debugsource-0:4.4.0-2.module_el8.10.0+4023+db236c53.x86_64
    - libslirp-devel-0:4.4.0-2.module_el8.10.0+4023+db236c53.x86_64
    - netavark-2:1.10.3-1.module_el8.10.0+4023+db236c53.src
    - netavark-2:1.10.3-1.module_el8.10.0+4023+db236c53.x86_64
    - oci-seccomp-bpf-hook-0:1.2.10-1.module_el8.10.0+4023+db236c53.src
    - oci-seccomp-bpf-hook-0:1.2.10-1.module_el8.10.0+4023+db236c53.x86_64
    - oci-seccomp-bpf-hook-debuginfo-0:1.2.10-1.module_el8.10.0+4023+db236c53.x86_64
    - oci-seccomp-bpf-hook-debugsource-0:1.2.10-1.module_el8.10.0+4023+db236c53.x86_64
    - podman-4:4.9.4-22.module_el8.10.0+4023+db236c53.src
    - podman-4:4.9.4-22.module_el8.10.0+4023+db236c53.x86_64
    - podman-catatonit-4:4.9.4-22.module_el8.10.0+4023+db236c53.x86_64
    - podman-catatonit-debuginfo-4:4.9.4-22.module_el8.10.0+4023+db236c53.x86_64
    - podman-debuginfo-4:4.9.4-22.module_el8.10.0+4023+db236c53.x86_64
    - podman-debugsource-4:4.9.4-22.module_el8.10.0+4023+db236c53.x86_64
    - podman-docker-4:4.9.4-22.module_el8.10.0+4023+db236c53.noarch
    - podman-gvproxy-4:4.9.4-22.module_el8.10.0+4023+db236c53.x86_64
    - podman-gvproxy-debuginfo-4:4.9.4-22.module_el8.10.0+4023+db236c53.x86_64
    - podman-plugins-4:4.9.4-22.module_el8.10.0+4023+db236c53.x86_64
    - podman-plugins-debuginfo-4:4.9.4-22.module_el8.10.0+4023+db236c53.x86_64
    - podman-remote-4:4.9.4-22.module_el8.10.0+4023+db236c53.x86_64
    - podman-remote-debuginfo-4:4.9.4-22.module_el8.10.0+4023+db236c53.x86_64
    - podman-tests-4:4.9.4-22.module_el8.10.0+4023+db236c53.x86_64
    - python-podman-0:4.9.0-3.module_el8.10.0+4023+db236c53.src
    - python3-criu-0:3.18-5.module_el8.10.0+4023+db236c53.x86_64
    - python3-podman-0:4.9.0-3.module_el8.10.0+4023+db236c53.noarch
    - runc-1:1.1.12-6.module_el8.10.0+4023+db236c53.src
    - runc-1:1.1.12-6.module_el8.10.0+4023+db236c53.x86_64
    - runc-debuginfo-1:1.1.12-6.module_el8.10.0+4023+db236c53.x86_64
    - runc-debugsource-1:1.1.12-6.module_el8.10.0+4023+db236c53.x86_64
    - skopeo-2:1.14.5-4.module_el8.10.0+4023+db236c53.src
    - skopeo-2:1.14.5-4.module_el8.10.0+4023+db236c53.x86_64
    - skopeo-tests-2:1.14.5-4.module_el8.10.0+4023+db236c53.x86_64
    - slirp4netns-0:1.2.3-1.module_el8.10.0+4023+db236c53.src
    - slirp4netns-0:1.2.3-1.module_el8.10.0+4023+db236c53.x86_64
    - slirp4netns-debuginfo-0:1.2.3-1.module_el8.10.0+4023+db236c53.x86_64
    - slirp4netns-debugsource-0:1.2.3-1.module_el8.10.0+4023+db236c53.x86_64
    - toolbox-0:0.0.99.5-2.module_el8.10.0+4023+db236c53.src
    - toolbox-0:0.0.99.5-2.module_el8.10.0+4023+db236c53.x86_64
    - toolbox-debuginfo-0:0.0.99.5-2.module_el8.10.0+4023+db236c53.x86_64
    - toolbox-debugsource-0:0.0.99.5-2.module_el8.10.0+4023+db236c53.x86_64
    - toolbox-tests-0:0.0.99.5-2.module_el8.10.0+4023+db236c53.x86_64
    - udica-0:0.2.6-21.module_el8.10.0+4023+db236c53.noarch
    - udica-0:0.2.6-21.module_el8.10.0+4023+db236c53.src
...
